summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-01-27 17:18:50 +0100
committerManuel Rüger <mrueg@gentoo.org>2017-01-27 17:19:01 +0100
commit1e3696913024f574cfe0851d8306d0cb869c633a (patch)
tree54338d94af754a2ff10690ac59ca90919c491d92 /dev-vcs/gitolite
parentwww-client/firefox: adjust SHELL, other var specs on calls to emake (diff)
downloadgentoo-1e3696913024f574cfe0851d8306d0cb869c633a.tar.gz
gentoo-1e3696913024f574cfe0851d8306d0cb869c633a.tar.bz2
gentoo-1e3696913024f574cfe0851d8306d0cb869c633a.zip
dev-vcs/gitolite: Version bump to 3.6.6
Gentoo-Bug: #603156 Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-vcs/gitolite')
-rw-r--r--dev-vcs/gitolite/Manifest1
-rw-r--r--dev-vcs/gitolite/files/gitolite-3.6.6-fix-shebang.patch23
-rw-r--r--dev-vcs/gitolite/gitolite-3.6.6.ebuild100
3 files changed, 124 insertions, 0 deletions
diff --git a/dev-vcs/gitolite/Manifest b/dev-vcs/gitolite/Manifest
index 16c5ef9ce20..b17e6e8392b 100644
--- a/dev-vcs/gitolite/Manifest
+++ b/dev-vcs/gitolite/Manifest
@@ -4,4 +4,5 @@ DIST gitolite-3.6.2.tar.gz 167670 SHA256 012c372b53d765558131ae0df23a590d41b042c
DIST gitolite-3.6.3.tar.gz 174689 SHA256 9b20eb6ae84358c5f063b02da64e49bef4605c9bfc7fb3700a2766dba58b9d99 SHA512 afb8bcf27052d46725c4b3a6dd483e98ac3e574651bfe2ee35b442f044791acae8a17cbbab4237992a9755367e37f5160514d67cd2d863d623d32ed5fdf39362 WHIRLPOOL 8f2495b9cc462760632e58cdfeec3759070fcaad9f7c31faab13bb72de5e680967cba10ed5a79841f81fd257b056d520a36415619107f15919787711628ce9c8
DIST gitolite-3.6.4.tar.gz 180619 SHA256 15b19181dcc00233e4d031f07d769cf930e93963a925a71d684748068f38dd63 SHA512 7c709372f66c4620109824191d6bf736b1066d74e5acd481fa552a6f010a38d6d7d17629a92fe7b944b43c6cac864db80217cefadc0e3a6dbf63530cff89cd6d WHIRLPOOL 2896dbb669dd71ee4cf184c90e9b87b7d69588789cfc16c5bcd26f3defb64a6812c8493df5e769a9a0c434f92b17d48ccccb9dd5c56507239a176a6832a66908
DIST gitolite-3.6.5.tar.gz 182496 SHA256 15f367591cc6782cde8b0b8c2206ada5714e83998b96de61838d64ff0878f876 SHA512 60796663a87c2b169c08e4e26edfb76408428887d3e932677f4ca95a8c7f82e9e300a7400d3d900c371628b23972be063444b7c036218f6ff0ab13626a886f90 WHIRLPOOL dcc5b7ebf64fb9334d5062e9dd0c7b678ea4b1bc0d014b636a8bc346e9931888e43e32d7a21fe4b10528a0f6657e6ed5e0185427ba6cfd5e32d964ab5627f1a4
+DIST gitolite-3.6.6.tar.gz 183469 SHA256 6971db70cf1393bf864cab569adbbd2a71f777f095d13447079a2463901b031f SHA512 1529330ed2afa315fcb650c55d515e5d4b61921f46b4d763a759537434492959f100d2219ab7673e568d46f397a25a45d4388fe3827ea988333fc8719820f8bc WHIRLPOOL 2c7bcf70d908b3af5c8152fc29b57101757e280e1235faf91270053cc0e05d1b2dc67a6f6d36193ff53d2db3f0ee73b90ef53fdc0be7f3ba42daa2e1633595db
DIST gitolite-3.6.tar.gz 156481 SHA256 ae9180a180a05cad344788eadc8340d6ebcb4cc60d96a1f5ab5fc355d395ba4b SHA512 91606a5fed202f0da2194310bc7da8e5d35cdfa2924b009ed3447ba41e2fd856b9043f1b57d16600ec44f17d640e9ee988b4086bea032827bf5fca83e5ff024f WHIRLPOOL 79b3a553dd25db9a3e99d7725c0932bb0b126f30bd013b9cc53d69f60d0c906eac4134b25f6759d9635e50df3324d731f16c30fb44c25e89df7e35560a3e00b1
diff --git a/dev-vcs/gitolite/files/gitolite-3.6.6-fix-shebang.patch b/dev-vcs/gitolite/files/gitolite-3.6.6-fix-shebang.patch
new file mode 100644
index 00000000000..21437f51fe5
--- /dev/null
+++ b/dev-vcs/gitolite/files/gitolite-3.6.6-fix-shebang.patch
@@ -0,0 +1,23 @@
+From 72c02387f6e1a9d2791dd78533d0c3e909400715 Mon Sep 17 00:00:00 2001
+From: Sitaram Chamarty <sitaram@atc.tcs.com>
+Date: Fri, 25 Nov 2016 18:16:33 +0530
+Subject: [PATCH] fix shebang in repo-specific-hooks
+
+(thanks to Dieter on the mailing list for catching this!)
+---
+ src/triggers/repo-specific-hooks | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/triggers/repo-specific-hooks b/src/triggers/repo-specific-hooks
+index 7ed28e5..6e229ea 100755
+--- a/src/triggers/repo-specific-hooks
++++ b/src/triggers/repo-specific-hooks
+@@ -85,7 +85,7 @@ for my $repo (keys %repo_hooks) {
+ }
+
+ __DATA__
+-#/bin/sh
++#!/bin/sh
+
+ # Determine what input the hook needs
+ # post-update takes args, pre/post-receive take stdin
diff --git a/dev-vcs/gitolite/gitolite-3.6.6.ebuild b/dev-vcs/gitolite/gitolite-3.6.6.ebuild
new file mode 100644
index 00000000000..47d67713f73
--- /dev/null
+++ b/dev-vcs/gitolite/gitolite-3.6.6.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+[[ ${PV} == *9999 ]] && SCM="git-2"
+EGIT_REPO_URI="git://github.com/sitaramc/gitolite.git"
+EGIT_MASTER=master
+
+inherit perl-module user versionator ${SCM}
+
+DESCRIPTION="Highly flexible server for git directory version tracker"
+HOMEPAGE="https://github.com/sitaramc/gitolite"
+if [[ ${PV} != *9999 ]]; then
+ SRC_URI="https://github.com/sitaramc/gitolite/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~x86"
+else
+ SRC_URI=""
+ KEYWORDS=""
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="selinux tools vim-syntax"
+
+DEPEND="dev-lang/perl
+ virtual/perl-File-Path
+ virtual/perl-File-Temp
+ >=dev-vcs/git-1.6.6"
+RDEPEND="${DEPEND}
+ !dev-vcs/gitolite-gentoo
+ selinux? ( sec-policy/selinux-gitosis )
+ vim-syntax? ( app-vim/gitolite-syntax )
+ dev-perl/JSON"
+
+PATCHES=( "${FILESDIR}"/${P}-fix-shebang.patch )
+
+pkg_setup() {
+ enewgroup git
+ enewuser git -1 /bin/sh /var/lib/gitolite git
+}
+
+src_prepare() {
+ default
+ echo $PF > src/VERSION || die
+}
+
+src_install() {
+ local uexec=/usr/libexec/${PN}
+
+ rm -rf src/lib/Gitolite/Test{,.pm}
+ insinto $VENDOR_LIB
+ doins -r src/lib/Gitolite
+
+ dodoc README.markdown CHANGELOG
+ # These are meant by upstream as examples, you are strongly recommended to
+ # customize them for your needs.
+ dodoc contrib/utils/ipa_groups.pl contrib/utils/ldap_groups.sh
+
+ insopts -m0755
+ insinto $uexec
+ doins -r src/{commands,syntactic-sugar,triggers,VREF}/
+ doins -r contrib/{commands,triggers,hooks}
+
+ insopts -m0644
+ doins src/VERSION
+
+ exeinto $uexec
+ doexe src/gitolite{,-shell}
+
+ dodir /usr/bin
+ for bin in gitolite{,-shell}; do
+ dosym /usr/libexec/${PN}/${bin} /usr/bin/${bin}
+ done
+
+ if use tools; then
+ dobin check-g2-compat convert-gitosis-conf
+ dobin contrib/utils/rc-format-v3.4
+ fi
+
+ keepdir /var/lib/gitolite
+ fowners git:git /var/lib/gitolite
+ fperms 750 /var/lib/gitolite
+
+ fperms 0644 ${uexec}/VREF/MERGE-CHECK # It's meant as example only
+}
+
+pkg_postinst() {
+ if [[ "$(get_major_version $REPLACING_VERSIONS)" == "2" ]]; then
+ ewarn
+ elog "***NOTE*** This is a major upgrade and will likely break your existing gitolite-2.x setup!"
+ elog "Please read http://gitolite.com/gitolite/migr.html first!"
+ fi
+
+ # bug 352291
+ ewarn
+ elog "Please make sure that your 'git' user has the correct homedir (/var/lib/gitolite)."
+ elog "Especially if you're migrating from gitosis."
+ ewarn
+}